> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://mezmo.ferndocs.com/api-reference/log-analysis/archiving/post-v-1-config-archiving/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mezmo.ferndocs.com/_mcp/server. # Create Archive Configuration POST https://api.mezmo.com/v1/config/archiving Content-Type: application/json Use this method to configure archiving for an instance. Only one archiving configuration may exist at any time. Reference: https://mezmo.ferndocs.com/api-reference/log-analysis/archiving/post-v-1-config-archiving ## Authentication - `Authorization` header (required) — This key is used for all apis with the exception of ingest. You can obtain it following [these instructions](https://docs.mezmo.com/docs/ingestion-key) and placing the key in the header of your call in the format of `Authorization: Token {accesstoken}` For example: ``` curl -H 'Authorization: Token ' ``` - `servicekey` header (required) — (Deprecated) This key is used for v1 and v2 apis with the exception of ingest. Service keys can be used by placing your service key in the `Authorization` header of your api call. *NOTE* Usage of the service key auth mechanism has been deprecated in favor of IAM Access Tokens. Service keys can no longer be created, but can still be used for v1 and v2 apis while the transition takes place ## Request ### Body (application/json) This endpoint expects an archivingConfigRequest. - `integration` (string, optional) — Defines the type of notification channel. Valid values are: `email`, `webhook`, `slack`, and `pagerduty` - `bucket` (string, optional) — Name of the bucket. - `endpoint` (string, optional) — Private endpoint associated with the bucket. - `apikey` (string, optional) — API key that is needed to authenticate with the Cloud Object Storage service. - `resourceinstanceid` (string, optional) — CRN of the Cloud Object Storage instance ID where the bucket is available. - `accountname` (string, optional) — Account name - `accountkey` (string, optional) — Account key - `projectid` (string, optional) — Project ID - `space` (string, optional) — Space - `accesskey` (string, optional) — Access key - `secretkey` (string, optional) — Secret key - `authurl` (string, optional) — Auth URL - `expires` (string, optional) — Expires - `username` (string, optional) — Username - `password` (string, optional) — Password provided in credentials for authorization - `tenantname` (string, optional) — Tenant name ## Response ### 200 OK - `integration` (string, optional) — Defines the type of notification channel. Valid values are: `email`, `webhook`, `slack`, and `pagerduty` - `bucket` (string, optional) — Name of the bucket. - `endpoint` (string, optional) — Private endpoint associated with the bucket. - `apikey` (string, optional) — API key that is needed to authenticate with the Cloud Object Storage service. - `resourceinstanceid` (string, optional) — CRN of the Cloud Object Storage instance ID where the bucket is available. - `accountname` (string, optional) — Account name - `accountkey` (string, optional) — Account key - `projectid` (string, optional) — Project ID - `space` (string, optional) — Space - `accesskey` (string, optional) — Access key - `secretkey` (string, optional) — Secret key - `authurl` (string, optional) — Auth URL - `expires` (string, optional) — Expires - `username` (string, optional) — Username - `password` (string, optional) — Password provided in credentials for authorization - `tenantname` (string, optional) — Tenant name ## Examples **Request** ```json {} ``` **Response** ```json { "integration": "ibm_cos", "bucket": "payment-service-logs", "endpoint": "s3.us.cloud-object-storage.appdomain.cloud", "apikey": "a1b2c3d4e5f6g7h8i9j0klmnopqrstuv", "resourceinstanceid": "crn:v1:bluemix:public:cloud-object-storage:global:a/1234567890abcdef1234567890abcdef:bucket:payment-service-logs", "accountname": "acme-corp-logs", "accountkey": "XyZ123AbC456DeF789GhIjKlMnOpQrStUvWxYz", "projectid": "proj-9876543210abcdef", "space": "prod-logs-space", "accesskey": "AKIAIOSFODNN7EXAMPLE", "secretkey": "wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY", "authurl": "https://iam.cloud.ibm.com/identity/token", "expires": "2025-12-31T23:59:59Z", "username": "log-archiver", "password": "S3cur3P@ssw0rd!", "tenantname": "acme-corp-tenant" } ``` **SDK Code** ```python import requests url = "https://api.mezmo.com/v1/config/archiving" payload = {} headers = { "Authorization": "", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.mezmo.com/v1/config/archiving'; const options = { method: 'POST', headers: {Authorization: '', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.mezmo.com/v1/config/archiving" payload := strings.NewReader("{}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.mezmo.com/v1/config/archiving") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = '' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.mezmo.com/v1/config/archiving") .header("Authorization", "") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('POST', 'https://api.mezmo.com/v1/config/archiving', [ 'body' => '{}', 'headers' => [ 'Authorization' => '', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.mezmo.com/v1/config/archiving"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.mezmo.com/v1/config/archiving")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```